// Modify BC

label patchID = mesh.boundaryMesh().findPatchID("lowerWall");              //Identify patchID 
fixedValueFvPatchScalarField& WallTemperature = refCast<fixedValueFvPatchScalarField>(T.boundaryField()[patchID]);  //Get pointer to the field data	
scalarField& TemperatureValue  = WallTemperature;  //Copy pointer

forAll (TemperatureValue,i) { //for all faces in the patch
    TemperatureValue[i] += 0.001; //increase the patch temperature in 0.001C
}
